﻿using System.Dynamic;

namespace KingWebservicesClientDemo
{
    public static class StaticOrderData
    {
        public static dynamic MaakOrderObject(long ordernummer)
        {
            dynamic order = new ExpandoObject();
            order.OrderNummer = ordernummer;
            order.DebiteurNummer = "12009210";
            order.ContactPersoonNummer = 0;
            order.ValutaCode = "EUR";
            order.Referentie = "Webservice-Order toegevoegd";
            order.OrderDatum = "2015-05-02";
            order.LeverDatum = "2015-06-03";
            order.InkoopCombinatie = 1;
            order.DebiteurNummerFactuur = "12011440";
            order.DebiteurNummerOmzet = "12011440";
            order.DebiteurNummerPrijsafspraken = "12011440";
            order.FactuurAdres = "VEST";
            order.VerzendAdres = "FACT_COR";
            order.VerzendAdresNummer = 1;
            order.PrijzenInclusiefBtw = 1;
            order.OrderKortingsPercentage = 15;
            order.BetalingsConditieNummer = 1;
            order.LeveringsConditieNummer = 1;
            order.MagazijnCode = 2;
            order.Opmerking = "Order aangemaakt via webservices";
            order.VervoerderNaam = "Fast Runner";
            order.VertegenwoordigerNummer = 1;
            return order;
        }

        public static dynamic MaakOrderregelObject(long ordernummer, string artikelnummer)
        {
            dynamic orderregel = new ExpandoObject();
            orderregel.OrderNummer = ordernummer;
            orderregel.ExternOrderRegelID = "201600042";
            orderregel.RegelSoort = "ART";
            orderregel.ArtikelNummer = artikelnummer;
            orderregel.TekstOpFactuur = "Tekst op factuur via webservices";
            orderregel.AantalBesteld = 4;
            orderregel.AantalDezeLevering = 2;
            orderregel.AantalDezeFacturering = 4;
            orderregel.BrutoVerkoopprijs = 19.95;
            orderregel.Korting1 = 4;
            orderregel.Korting1IsPercentage = 1;
            orderregel.Korting2 = 3;
            orderregel.LeverDatum = "2015-09-01";
            orderregel.EdiBuffer = "Vrij invoer-veld";
            orderregel.BtwCode = 1;
            orderregel.MagazijnCode = 1;
            return orderregel;
        }

        public static dynamic MaakOrdercolloObject(long ordernummer)
        {
            dynamic ordercollo = new ExpandoObject();
            ordercollo.OrderNummer = ordernummer;
            ordercollo.ColloTypeCode = "Pallet";
            ordercollo.Aantal = 4;
            ordercollo.Gewicht = 2;
            ordercollo.Volume = 3;
            ordercollo.Lengte = 11;
            ordercollo.Breedte = 15;
            ordercollo.Hoogte = 2;
            ordercollo.TrackEnTraceCode = "1234433322";
            ordercollo.TrackEnTraceUrl = "http://trackentrace.nl/verzending/1234433322";
            ordercollo.Opmerking = "Collo via webservices";
            return ordercollo;
        }

        public static dynamic MaakOrderlockObject(long ordernummer)
        {
            dynamic orderlock = new ExpandoObject();
            orderlock.OrderNummer = ordernummer;
            return orderlock;
        }
    }
}
